Bug 157632 - New port: devel/p5-Sub-Alias
Summary: New port: devel/p5-Sub-Alias
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-05 20:10 UTC by Peter
Modified: 2011-06-06 18:30 UTC (History)
0 users

See Also:


Attachments
file.shar (2.24 KB, text/plain)
2011-06-05 20:10 UTC, Peter
no flags Details
p5-Sub-Alias.shar (2.70 KB, application/x-shar)
2011-06-06 14:14 UTC, Peter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter 2011-06-05 20:10:08 UTC
This module does a compile-time code injection to let you define subroute
aliases with their names, but not code refs.

This differs from p5-Sub-Name in that it defines a typeglob in a more correct
way and keeps you from manipulating the symbol tables directly. You can use the
subroutine as if it was defined the ordinary way then. 

This is particularly useful in the cases when you need to have several
identical subroutines with different names.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-06-05 20:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2011-06-06 10:14:25 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 Frederic Culot freebsd_committer 2011-06-06 10:45:59 UTC
Hi Peter,

thanks for submitting this new port.
I would be pleased to commit it but it appears the plist is missing as
shown at the end of this tinderbox log:

http://people.freebsd.org/~culot/tinderbox/8.2-FreeBSD/p5-Sub-Alias-0.03.log

Could you please update your shar so that it includes the pkg-plist file?
Also, it is better to use the ISO format in the Makefile header, such as
2011-06-05.

Thanks!
culot@
Comment 4 Frederic Culot freebsd_committer 2011-06-06 10:46:24 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 5 Peter 2011-06-06 14:14:38 UTC
Our A&R man said, "I don't hear a single", Frederic!
2011/06/06 09:45:59 +0000 Frederic Culot <culot@FreeBSD.org> => To bug-followup@FreeBSD.org :
FC> thanks for submitting this new port.
FC> I would be pleased to commit it but it appears the plist is missing as
FC> shown at the end of this tinderbox log:
FC> 
FC> http://people.freebsd.org/~culot/tinderbox/8.2-FreeBSD/p5-Sub-Alias-0.03.log
FC> 
FC> Could you please update your shar so that it includes the pkg-plist file?
FC> Also, it is better to use the ISO format in the Makefile header, such as
FC> 2011-06-05.

Attaching it here.
Notice please my jfmi questions off-list.

73! Peter pgp: A0E26627 (4A42 6841 2871 5EA7 52AB  12F8 0CE1 4AAC A0E2 6627)
Comment 6 dfilter service freebsd_committer 2011-06-06 18:26:01 UTC
culot       2011-06-06 17:25:52 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-Sub-Alias   Makefile distinfo pkg-descr pkg-plist 
  Log:
  Sub::Alias does a compile-time code injection to let you define subroutine
  aliases based on its name.
  
  This differs from p5-Sub-Name in that it defines a typeglob in a more correct
  way and keeps you from manipulating the symbols table directly. You can use
  the subroutine as if it was defined the ordinary way then.
  
  This is particularly useful in the cases when you need to have several
  identical subroutines with different names.
  
  WWW: http://search.cpan.org/dist/Sub-Alias/
  
  PR:             ports/157632
  Submitted by:   Peter Vereshagin <peter@vereshagin.org>
  
  Revision  Changes    Path
  1.4362    +1 -0      ports/devel/Makefile
  1.1       +30 -0     ports/devel/p5-Sub-Alias/Makefile (new)
  1.1       +2 -0      ports/devel/p5-Sub-Alias/distinfo (new)
  1.1       +11 -0     ports/devel/p5-Sub-Alias/pkg-descr (new)
  1.1       +5 -0      ports/devel/p5-Sub-Alias/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Frederic Culot freebsd_committer 2011-06-06 18:26:33 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!